<?php
use App\Models\ProductCategory;
use App\Models\Product;
function get_parent_categories(){
  $results = null;
  //$cache_data = json_decode(get_cache_data('parent_categories'));
  $results['categories'] = ProductCategory::where('parent_id', 0)->where('side_menu_type' , '0')->orderBy('sortable_id')->get();
  return $results;
}

function get_menu(){
  $categories = ProductCategory::where('side_menu_type', '0')->orWhere('side_menu_type', '2')->orderBy('sortable_id')->get();

  foreach ($categories as $category) {
    $products = [];
    if ($category->parent_id != 0 ){
      $products = Product::where('stock' , '>' , 0)->where("category_id", $category->id)->get();
    }
    $category->products =  $products;
    $category->activeClass = "inactive-menu";
  }
  $productsAll = Product::where('stock' , '>' , 0)->get();
  /*foreach ($productsAll as $key => $product){
    $productsAll[$key]->items_inside = json_decode($product->items_inside);
  }*/
  $productsAll = $productsAll->makeHidden(['items_inside']);
  return [
      'categories' => $categories,
      'products' => $productsAll
  ];
}

function catProduct($category_id){

  $products= Product::where('stock' , '>' , 0)->where('category_id', $category_id)->get();
  return $products;
}

function get_home_boxes(){
  $tab_key = $tab_text = '';
  $ourBox = Product::where('is_in_box', 1)->limit(2)->get();
  foreach ($ourBox as $key => $box){
    $alphabet = explode(" " , $box->name);
    (isset($alphabet[1])) ? $tab_key = $alphabet[1] : $tab_key = '';
    (isset($alphabet[0])) ? $tab_text = $alphabet[0] : $tab_text= 'Box';
    (isset($alphabet[2])) ? $tab_key = $tab_key.' '.$alphabet[2] : $tab_key;
    $ourBox[$key]->tab_key = $tab_key;
    $ourBox[$key]->tab_text = $tab_text;
    $ourBox[$key]->items_inside = json_decode($box->items_inside);
    if($key == 0){
      $ourBox[$key]->active_tab = 'active';
    }else{
      $ourBox[$key]->active_tab = '';
    }
  }
  return $ourBox;
}

?>