<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\Order;
use App\Models\OrderItem;
use App\Models\Paypal;
use App\Models\Product;
use App\User;

use DB;
use Auth;

class DashboardController extends Controller
{
    public function dashboard(){
    	

    	 $data['orders'] = DB::table('orders')->select(DB::raw('count(*) as total_orders'), DB::raw('sum(total_amount) as total_amount'), DB::raw('monthname(created_at) as month'))
    	->where('created_at', '>', '"' . Carbon::now()->subMonths(5)->startOfMonth()->format('Y-m-d') . '"')
    	->groupBy('month')
    	->get();
		
		$currStartMonth             = Carbon::today()->startOfMonth();
		$currEndMonth               = Carbon::today()->endOfMonth();
		$prevStartMonth             = Carbon::now()->subMonth()->startOfMonth();
		$prevEndMonth               = Carbon::now()->subMonth()->endOfMonth();
		
		$ordersCount                = Order::get()->count();
		$ordersCountThisMonth       = Order::whereBetween('created_at', [$currStartMonth, $currEndMonth])->count();
		$ordersCountPrevMonth       = Order::whereBetween('created_at', [$prevStartMonth, $prevEndMonth])->count();
		$ordersTotalAmount          = Order::sum('total_amount');
		$ordersTotalAmountThisMonth = Order::whereBetween('created_at', [$currStartMonth, $currEndMonth])->sum('total_amount');
		$ordersTotalAmountPrevMonth = Order::whereBetween('created_at', [$prevStartMonth, $prevEndMonth])->sum('total_amount');
		
		$ordersData                               = (object)[];
		$ordersData->count                        = $ordersCount;
		$ordersData->count_this_month             = $ordersCountThisMonth;
		$ordersData->count_prev_month             = $ordersCountPrevMonth;
		$ordersData->curr_percentage              = ($ordersCountThisMonth === 0 && $ordersCountThisMonth === 0) ? 0 : $ordersCountThisMonth / $ordersCount * 100;
		$ordersData->prev_percentage              = ($ordersCountPrevMonth === 0 && $ordersCountPrevMonth === 0) ? 0 : $ordersCountPrevMonth / $ordersCount * 100;
		$ordersData->total_amount                 = $ordersTotalAmount;
		$ordersData->curr_total_amount            = $ordersTotalAmountThisMonth;
		$ordersData->prev_total_amount            = $ordersTotalAmountPrevMonth;
		$ordersData->curr_total_amount_percentage = ($ordersTotalAmountThisMonth === 0 && $ordersTotalAmount === 0) ? 0 : $ordersTotalAmountThisMonth / $ordersTotalAmount * 100;
		$ordersData->prev_total_amount_percentage = ($ordersTotalAmountPrevMonth === 0 && $ordersTotalAmount === 0) ? 0 : $ordersTotalAmountPrevMonth / $ordersTotalAmount * 100;

		
		$currStartMonth        = Carbon::today()->startOfMonth();
		$currEndMonth          = Carbon::today()->endOfMonth();
		$prevStartMonth        = Carbon::now()->subMonth()->startOfMonth();
		$prevEndMonth          = Carbon::now()->subMonth()->endOfMonth();
		
		$clientsCount          = User::client()->count();
		$clientsCurrMonthCount = User::client()->whereBetween('created_at', [$currStartMonth, $currEndMonth])->count();
		$clientsPrevMonthCount = User::client()->whereBetween('created_at', [$prevStartMonth, $prevEndMonth])->count();

        $clientData = (object)[];
        $clientData->count = $clientsCount;
        $clientData->curr_month_count = $clientsCurrMonthCount;
        $clientData->prev_month_count = $clientsPrevMonthCount;
        $clientData->curr_percentage = $clientsCurrMonthCount / $clientsCount * 100;
        $clientData->prev_percentage = $clientsPrevMonthCount / $clientsCount * 100;

       
        $products = (object)[];

        // $productTop = DB::table('order_items')
        // ->select('product_item_id', DB::raw('count(*) as total'))
        // ->join('products', 'order_items.product_item_id', '=', 'products.id')
        // ->groupBy('product_item_id')
        // ->orderBy('product_item_id', 'ASC')
        // ->get();

		$productTop           = Product::withCount('orderItems')->orderBy('order_items_count', 'DESC')->limit(5)->get();
		$productWorst         = Product::withCount('orderItems')->orderBy('order_items_count', 'ASC')->limit(5)->get();
		
		$products->top        = $productTop;
		$products->worst      = $productWorst;
		
		$data['products']     = $products;
		$data['clientStates'] = $clientData;
		$data['ordersStates'] = $ordersData;

    	return view('admin.dashboard', $data); 
    }


}
