<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;
use App\User;
use App\Models\Order;
use Carbon\Carbon;
use Validator;

class AffiliateController extends Controller 
{
    public function affiliatemonthlycommission(Request $request)
    {
        // echo $request->parent_unique_no;exit;
        $validation = Validator::make($request->all(),
            [
                'parent_unique_no' => 'required'
            ]
        );

        if ($validation->fails()) 
        {
            return response()->json(['code' => 202, 'error' => 'invalid_fields_data', 'messages' => 'The Parent Unique No is required'], 202);
        } 
        else 
        {
            $parent_unique_no   =   $request->parent_unique_no;
            $settings           =   Setting::first();
//            dd($settings);
            if(isset($request->startdate))
            {
                $CurrentMonthStart   =   $request->startdate;
            }
            else
            {
                $CurrentMonthStart  =   Carbon::now()->startOfMonth()->format('Y-m-d H:i:s');
            }

            if(isset($request->enddate))
            {
                $CurrentMonthEnd   =   $request->enddate;
            }
            else
            {
                $CurrentMonthEnd    =   Carbon::now()->endOfMonth()->format('Y-m-d H:i:s');
            }
            // dd($CurrentMonthStart);
            $totalcommission    =   0;
            $data               =   [];
            // $PreviousMonthStart = Carbon::now()->startOfMonth()->subMonth(1)->format('Y-m-d H:i:s');
            // $PreviousMonthEnd   = Carbon::now()->endOfMonth()->subMonth(1)->format('Y-m-d H:i:s');
            // $sub_affiliate_users    =   user::where('parent_id',$affiliate_users1->id)
            //                             ->where('created_at','>',Carbon::now()->subMonth(6)) 
            //                             ->get();
            $affiliate_users    =   User::where('parent_unique_no',$parent_unique_no) 
                                    ->where('created_at','>',Carbon::now()->subMonth(6))
                                	->get();                
            if(!$affiliate_users->isEmpty())
            {
                // $totalclients= 0;
                // $totalamountlastmonth = 0;
                foreach($affiliate_users as $sub_affiliate_users1)
                {
                    // $totalclients++;
    	            $totalamount = 0;
    	            $totalorders = 0;
                    $sub_affiliate_users_orders_sum     =   Order::where('client_id',$sub_affiliate_users1->id)
                        ->whereBetween('created_at', [$CurrentMonthStart, $CurrentMonthEnd])
                        ->sum('sub_total');
                    $sub_affiliate_users_orders_count   =   Order::where('client_id',$sub_affiliate_users1->id)
                        ->whereBetween('created_at', [$CurrentMonthStart, $CurrentMonthEnd])
                        ->count('id');
                    //previous month total income of main affiliate
                    // $sub_affiliate_users_prevoius_month_orders_sum  =   Order::where('client_id',$sub_affiliate_users1->id)
                    //     ->whereBetween('created_at', [$PreviousMonthStart, $PreviousMonthEnd])
                    //     ->sum('sub_total');
                    $totalamount1 	= 	$totalamount+$sub_affiliate_users_orders_sum;
                    $totalorders 	= 	$totalorders+$sub_affiliate_users_orders_count;
                    $usersname 		=	$sub_affiliate_users1->first_name.' '.$sub_affiliate_users1->last_name;
                    // $totalamountlastmonth = $totalamountlastmonth+$sub_affiliate_users_prevoius_month_orders_sum;
    	            if($settings->commission_change_limit>$totalamount1)
                    {
                        $totalamount  = round(($totalamount1*($settings->min_commission/100)),2);
                        $totalcommission += $totalamount;
                    }
    	            else
                    {
                        $totalamount  = round(($totalamount1*($settings->max_commission/100)),2);
                        $totalcommission += $totalamount;
                    }

    	            $data[]  =   [
    	                'name'              =>  $usersname,
                        'total_amount'      =>  $totalamount1,
    	                'revenue_generated' =>  $totalamount,
    	                'total_orders'      =>  $totalorders,
    	                // 'commission_paid'   =>  $commission_paid,
    	                // 'clients_under_him' =>  $totalclients,
    	                // 'test' => $PreviousMonthStart,
    	            ];
                }
                // for($i=1;$i<=12;$i++)
                // {
                //     $format         =  'Y-'.$i.'-d H:i:s';
                //     $MonthStart     =  Carbon::now()->startOfMonth()->format($format);
                //     $MonthEnd       =  Carbon::now()->endOfMonth()->format($format);
                // }
                $response = [];
                $response['code'] = 200;
                $response['message'] = 'success';
                $response['content'] = $data;
                $response['commission'] = $totalcommission;
                $response['monthstart'] = $CurrentMonthStart;
                // $response['monthend'] = $MonthEnd;
    			return response()->json($response, 200);
            }
            else 
            {
                $response = [];
                $response['code'] = 201;
                $response['message'] = 'failed';
                $response['detail'] = "No Record Found.";
                return response()->json($response, 200);
            }
        }
    }
}
