<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\ClientResource;
use App\Http\Resources\AffiliateResource;
use App\Models\Setting;
use Illuminate\Http\Request;
use Carbon\Carbon;
use App\User;
use App\Models\Order;
use App\failed_payment_error_log;
use Illuminate\Support\Facades\DB;
use BrowserDetect;
use Validator;
use Cookie;

use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;

class ClientsController extends Controller
{
    /**
     * Get client records
     *
     * @return  ClientResource  client resource data with pagination
     */
    public function __construct()
    {
        parent::__construct();
        // $this->middleware('auth');
    }

    public function index()
    {
        if (!empty($_GET['city'])) {
            if ($_GET['city'] == 'asc' || $_GET['city'] == 'desc') {
                $clients = User::where('is_admin', '0')->orderBy('city', $_GET['city'])->paginate(10);

                return ClientResource::collection($clients);
            }
        }

        if (!empty($_GEt['order'])) {
            if ($_GEt['order'] == 'asc' || $_GEt['order'] == 'desc') {
                $clients = User::where('is_admin', '0')->orderBy('no_of_order', $_GET['order'])->paginate(10);

                return ClientResource::collection($clients);
            }
        }

        $clients = User::with('clientloyality')->where('is_admin', '0')->paginate(10);

        return ClientResource::collection($clients);
    }

    public function affiliate($page = null)
    {
//        dd($page);
        $curl = curl_init();

        //call login function of affiliate to get jwt token
//        dd($this->api_baseurl."/api/auth/login");
        curl_setopt_array($curl, array(
            CURLOPT_URL => "$this->api_baseurl/api/auth/login",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 600,
//            CURLOPT_POSTFIELDS => "email=affiliate3@dynamologic.com&&password=affiliate3",
            CURLOPT_POSTFIELDS => "email=affiliate1@yopmail.com&&password=affiliate1",
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST"
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);
        curl_close($curl);

        if ($err) {
            $response = '';
        }
        else
        {
            $response    =   json_decode($response);
        }

//        dd($response);

        if ($response->access_token)
        {
            $jwtcookies =   $response->access_token;
//            Cookie::make('jwt_cookie', '123', 60);
//
//            dd(Cookie::get('jwt_cookie'));
            //if jwt token valid then get affiliate users
            $curl = curl_init();

            $headers = [
                'Authorization: bearer '.$jwtcookies,
            ];

            curl_setopt_array($curl, array(
                CURLOPT_URL => "$this->api_baseurl/api/auth/affiliates",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 600,
                CURLOPT_POSTFIELDS => "",
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_HTTPHEADER => $headers,
                CURLOPT_CUSTOMREQUEST => "POST"
            ));

            $response1 = curl_exec($curl);
            $err = curl_error($curl);
            curl_close($curl);

            if ($err) {
                $response1 = '';
            }
            else
            {
                $response1    =   json_decode($response1);
            }

//             dd($response1);
            if(sizeof($response1)>0)
            {
                $data               =   [];
                foreach ($response1 as $affiliates)
                {
                    // echo $affiliates->name;
                    $parent_unique_no   =   $affiliates->unique_no;
                    if(isset($request->startdate))
                    {
                        $CurrentMonthStart   =   $request->startdate;
                    }
                    else
                    {
                        $CurrentMonthStart  =   Carbon::now()->startOfMonth()->format('Y-m-d H:i:s');
                    }

                    if(isset($request->enddate))
                    {
                        $CurrentMonthEnd   =   $request->enddate;
                    }
                    else
                    {
                        $CurrentMonthEnd    =   Carbon::now()->endOfMonth()->format('Y-m-d H:i:s');
                    }
                    // dd($CurrentMonthStart);
                    $affiliate_users    =   User::where('parent_unique_no',$parent_unique_no)
                        ->where('created_at','>',Carbon::now()->subMonth(6))
                        ->get();
                    if(!$affiliate_users->isEmpty())
                    {
                        $totalcommission    =   0;
                        $totalamount = 0;
                        $totalamount1 = 0;
                        $totalorders = 0;
                        $settings           =   Setting::first();
                        foreach($affiliate_users as $sub_affiliate_users1)
                        {
                            $sub_affiliate_users_orders_sum     =   Order::where('client_id',$sub_affiliate_users1->id)
                                ->whereBetween('created_at', [$CurrentMonthStart, $CurrentMonthEnd])
                                ->sum('sub_total');
                            $sub_affiliate_users_orders_count   =   Order::where('client_id',$sub_affiliate_users1->id)
                                ->whereBetween('created_at', [$CurrentMonthStart, $CurrentMonthEnd])
                                ->count('id');

                            $totalamount1    =   $totalamount1+$sub_affiliate_users_orders_sum;
                            $totalorders    =   $totalorders+$sub_affiliate_users_orders_count;
                            $usersname      =   $sub_affiliate_users1->first_name.' '.$sub_affiliate_users1->last_name;

                        }


                        if($settings->commission_change_limit>$totalamount1)
                        {
                            $totalamount  = round(($totalamount1*($settings->min_commission/100)),2);
                            $totalcommission += $totalamount;
                        }
                        else
                        {
                            $totalamount  = round(($totalamount1*($settings->max_commission/100)),2);
                            $totalcommission += $totalamount;
                        }
                        
                        $data[]  =   [
                            'name'              =>  $affiliates->name,
                            'revenue_generated' =>  $totalamount1,
                            'total_orders'      =>  $totalorders,
//                            'commission_paid'   =>  round(($totalamount*0.075),2),
                            'commission_paid'   =>  $totalcommission,
                            // 'clients_under_him' =>  $totalclients,
                            // 'test' => $PreviousMonthStart,
                        ];
                    }
                    else
                    {
                        $data[]  =   [
                            'name'              =>  $affiliates->name,
                            'revenue_generated' =>  0,
                            'total_orders'      =>  0,
                            'commission_paid'   =>  0,
                            // 'clients_under_him' =>  $totalclients,
                            // 'test' => $PreviousMonthStart,
                        ];
                    }
                }
                $data = $this->paginate($data,10,$page);
//            dd($data);
                return AffiliateResource::collection($data);
                // $response = [];
                // $response['code'] = 200;
                // $response['message'] = 'success';
                // $response['content'] = $data;
                // // $response['monthend'] = $MonthEnd;
                // return response()->json($response, 200);
            }
            else
            {
                // $response = [];
                // $response['code'] = 201;
                // $response['message'] = 'failed';
                // $response['detail'] = "No Record Found.";
                // return response()->json($response, 200);
            }
        }
//        else
//        {
//            Cookie::queue(Cookie::forget('jwt'));
//            $jwtcookies = '';
//        }

    }

    public function paginate($items, $perPage = 10, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $options);

    }

    /**
     * Get client data by ID
     *
     * @param   int  $id  client ID
     *
     * @return  JSON      client data or message
     */
    public function show($id)
    {
        try {
            $client = User::with(['orders' => function ($q) use ($id) {
                $q->with(['orderItems' => function ($q1) {
                    $q1->with(['product'])->get();
                }])->get();
            }])->where('is_admin', '0')->findOrFail($id);

            return response()->json($client, 200);
        } catch (Exception $e) {
            return response()->json([
                'message' => 'Client data not found.'
            ], 404);
        }
    }

    /**
     * Get total clients, current and previous months clients count
     *
     * @return  JSON      client count data
     */
    public function clientsStats()
    {
        $currStartMonth = Carbon::today()->startOfMonth();
        $currEndMonth = Carbon::today()->endOfMonth();
        $prevStartMonth = Carbon::now()->subMonth()->startOfMonth();
        $prevEndMonth = Carbon::now()->subMonth()->endOfMonth();

        $clientsCount = User::client()->count();
        $clientsCurrMonthCount = User::client()->whereBetween('created_at', [$currStartMonth, $currEndMonth])->count();
        $clientsPrevMonthCount = User::client()->whereBetween('created_at', [$prevStartMonth, $prevEndMonth])->count();

        $clientData = new \stdClass();
        $clientData->count = $clientsCount;
        $clientData->curr_month_count = $clientsCurrMonthCount;
        $clientData->prev_month_count = $clientsPrevMonthCount;
        $clientData->curr_percentage = $clientsCurrMonthCount / $clientsCount * 100;
        $clientData->prev_percentage = $clientsPrevMonthCount / $clientsCount * 100;

        return response()->json($clientData, 200);
    }

    //farid code start

    public function updateClientBasicInfo(Request $request)
    {
        $dob   = $request->yyyy.'-'.$request->mm.'-'.$request->dd;
        //dd($request->mm);
        $user  = new  User;
        if($request->yyyy != 'year' && $request->mm != 'month' && $request->dd != 'day')
        {
            $user::where('id', $request->id)
            ->update([
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'phone' => $request->phone,
                'email' => $request->email,
                'dob' => $dob,
            ]);
        }
        else
        {
            $user::where('id', $request->id)
            ->update([
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'phone' => $request->phone,
                'email' => $request->email,
            ]);
        }

        $user  = new  User;
        $user = $user::where('id', $request->id)->first();
        $tokenResult = $user->createToken('MySushi');
        $token = $tokenResult->token;

        if ($request->remember_me) {
            $token->expires_at = Carbon::now()->addWeeks(1);
        }
        $token->save();
        return response()->json([
            'access_token' => $tokenResult->accessToken,
            'token_type' => 'Bearer',
            'expires_at' => Carbon::parse(
                $tokenResult->token->expires_at
            )->toDateTimeString(),
            'message' => 'Authenticated.',
            'user' => $user,
            'code' => '200'
        ]);
    }

    public function updateClientAddressInfo(Request $request)
    {
        //dd($request);
        $user  = new  User;
        $user::where('id', $request->id)
            ->update([
                'address' => $request->address,
                'address1' => $request->address1,
                'address2' => $request->address2,
            ]);

        $user  = new  User;
        $user = $user::where('id', $request->id)->first();
        $tokenResult = $user->createToken('MySushi');
        $token = $tokenResult->token;

        if ($request->remember_me) {
            $token->expires_at = Carbon::now()->addWeeks(1);
        }
        $token->save();
        return response()->json([  
            'access_token' => $tokenResult->accessToken,
            'token_type' => 'Bearer',
            'expires_at' => Carbon::parse(
                $tokenResult->token->expires_at
            )->toDateTimeString(),          
            'message' => 'Authenticated.',
            'user' => $user,
            'code' => '200'
        ]);
    }

    public function updateClientPasswordInfo(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'password' => 'required',
            'confirm_password' => 'required',
        ]);
        if ($validator->passes()) {
            if($request->password !== $request->confirm_password)
            {
                return response()->json([ 
                    'message' => 'Not Authenticated.',    
                    'code' => '201'
                ]);
            }
            $user  = new  User;
            $user::where('id', $request->id)
                ->update([
                    'password' => \Hash::make($request->password),
                ]);

            $user  = new  User;
            $user = $user::where('id', $request->id)->first();
            $tokenResult = $user->createToken('MySushi');
            $token = $tokenResult->token;

            if ($request->remember_me) {
                $token->expires_at = Carbon::now()->addWeeks(1);
            }
            $token->save();
            return response()->json([  
                'access_token' => $tokenResult->accessToken,
                'token_type' => 'Bearer',
                'expires_at' => Carbon::parse(
                    $tokenResult->token->expires_at
                )->toDateTimeString(),          
                'message' => 'Authenticated.',
                'user' => $user,
                'code' => '200'
            ]);
        }
        return response()->json([
            'error'=>$validator->errors()->all()
        ]);
    }
    //farid code ends

    public function updateClientAccount(Request $request)
    {

        if (@$request->profile_pic != "") {
            $image      = $request->file('profile_pic');
            $fileName   = time() . '.' . $image->getClientOriginalExtension();

            $img = \Image::make($image->getRealPath());
            $img->resize(120, 120, function ($constraint) {
                $constraint->aspectRatio();
            });
            $img->stream();
        }
        $user  = new  User;
        $user::where('id', $request->id)
            ->update([
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'phone' => $request->phone,
                'email' => $request->email,
                'profile_pic' => (@$request->profile_pic != "") ? 'images/profile_picture/user_id_' . $request->id . '/' . $fileName : $request->old_profile_pic,
                'address' => $request->address,
                'city' => $request->city,
                'country' => $request->country,
            ]);

        if (@$request->profile_pic != "") {
            \Storage::disk('uploads')->put('profile_picture/user_id_' . $request->id . '/' . $fileName, $img, 'public');
        }

        $user  = new  User;
        $user = $user::where('id', $request->id)->first();
        $tokenResult = $user->createToken('MySushi');
        $token = $tokenResult->token;

        if ($request->remember_me) {
            $token->expires_at = Carbon::now()->addWeeks(1);
        }
        $token->save();
        return response()->json([
            'access_token' => $tokenResult->accessToken,
            'token_type' => 'Bearer',
            'expires_at' => Carbon::parse(
                $tokenResult->token->expires_at
            )->toDateTimeString(),
            'message' => 'Authenticated.',
            'user' => $user,
            'code' => '200'
        ]);
    }
    public function saveAddress(Request $request)
    {
        //  $User =  New User;

        $user = User::where('id', $request->user_id)
            ->update([
                'name' => $request->name,
                'address1' => $request->address1,
                'address2' => $request->address2,
                'building_and_unit_number' => $request->building_and_unit_number,
                'phone' => $request->phone,
            ]);
        return $request->user_id;
    }

    public function PaypalPaymentLogs($response , $order_id , $payment_type , $log_status , $log_type){
        $error_log = new failed_payment_error_log();

        $platform_name = BrowserDetect::platformName();
        $browser_name =' | ' . BrowserDetect::browserName();
        $device_name = ' | ' . BrowserDetect::deviceFamily();
        $device_model =' | ' . BrowserDetect::deviceModel();

        $error_log->user_agent = $platform_name.$browser_name.$device_name.$device_model;
        $error_log->log_status = $log_status;
        $error_log->response = $response;
        $error_log->order_id = $order_id;
        $error_log->log_type = $log_type;
        if($payment_type == 1){
          $error_log->payment_type = 'paypal';
        }else{
          $error_log->payment_type = 'cod';
        }


        $error_log->save();

        return response()->json('success' , 200);
    }
}
