<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\URL;
use Laravel\Socialite\Facades\Socialite;
use App\User;
use Illuminate\Support\Facades\Auth;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after auth.
     *
     * @var string
     */
    protected $redirectTo = '/';

    public function redirectToFacebook()
    {
      return Socialite::driver('facebook')->redirect();
    }

    /**
     * Obtain the user information from GitHub.
     *
     * @return \Illuminate\Http\Response
     */
    public function handleFacebookCallback()
    {
      $userSocial = Socialite::driver('facebook')->user();
      $users = User::where(['fb_user_id' => $userSocial->getId()])->first();
      if($users){
        Auth::login($users);
        return redirect('/');
      }else{
        $username = explode(' ', $userSocial->getName());
        $user = User::create([
          'first_name'          => $username[0],
          'last_name'          => $username[1],
          'email'         => !is_null($userSocial->getEmail()) ? $userSocial->getEmail() : 'None' ,
          'fb_user_id'   => $userSocial->getId(),
          'profile_pic'      => $userSocial->getAvatar(),
      ]);
        Auth::login($user);
        return redirect()->route('home');
      }

      // $user->token;
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
      $this->redirectTo = URL::previous();
        $this->middleware('guest')->except('logout');
    }
}
