<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;
use App\Models\ProductCategory;
use App\Models\Product;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\User;

class CartController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user                   =  User::find(Auth::id());
        $data['categories']     =   ProductCategory::with(['products'])->where('side_menu_type', '1')->get();
        $data['products']       =   Product::where('stock' , '>' , 0)->get();
        $settings               =   Setting::first();
//        dd($settings->delivery_fee);
        $data['delivery_fee']   =   $settings->delivery_fee;
        $user_loyality_level    =   DB::table('users')->where('id', Auth::id())->value('loyality_program_level');
        $user_loyality_info     =   DB::table('loyalty_programs')->where('id', $user_loyality_level)->value('offers_selected');
        $loyality_offers_id     =   explode(',',substr($user_loyality_info, 1, -1));
        if(!empty($no_of_orders))
        {
            $data['client_loyality_offers'] = DB::table('loyalty_offers')->whereIn('id', $loyality_offers_id)->where('off_order','<=',$user->no_of_orders)->get();
        }
        else
        {
            $data['client_loyality_offers'] = DB::table('loyalty_offers')->whereIn('id', $loyality_offers_id)->get();
        }
       
        if(!empty($user->avail_mysushi_offers))
        {
            $user->avail_mysushi_offers     =   explode(",",$user->avail_mysushi_offers);
            $data['client_avail_offers']    =  $user->avail_mysushi_offers; 
        }
//        dd($data);
        return view('client.cart.index_cart', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
