<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use Carbon\Carbon;

class SignupController extends Controller
{
    public function signUP(Request $request){
        // return $request->email;
        //farid code starts

        $request->request->add(['dob' => $request->year.'-'.$request->month.'-'.$request->day]); 
        //dd($request->dob);
        //farid code ends
        $this->validate($request, [
            'first_name' => 'required|string',
            'last_name' => 'required|string',
            'phone' => 'required|string',
            'email' => 'required|string|email|unique:users',
            'password' => 'required|string|confirmed',
            'dob' => 'required|date',
            // 'is_admin' => 'required|boolean',  

        ]);

        $dob = (@$request->day && @$request->month  && @$request->year) ? ($request->year."-". @$request->month."-".@$request->day) : null;
        $date_of_birth = (!empty($dob)) ? date("Y-m-d",  strtotime($dob))  : null;

        $signup = new User;
        $signup->name_suffix        = $request->name_suffix;
        $signup->first_name         = $request->first_name;
        $signup->last_name          = $request->last_name;
        $signup->email              = $request->email;
        $signup->google_user_id     = $request->google_user_id;
        $signup->password           = bcrypt($request->password);
        $signup->is_loyalty_program = (@$request->is_loyalty_program) ? '1'      : '0';
        $signup->is_mysushi_offers  = (@$request->is_mysushi_offers) ? '1'       : '0';
        $signup->phone              = (!empty($request->phone)) ? $request->phone: null;
        $signup->dob                = $date_of_birth;
        $signup->parent_unique_no   = $request->parent_unique_no;
        $signup->save();

        return response()->json(
            [
            'title' => 'Registration Successful',
            'text' => 'Please Log-in to continue!',
            ]
            );
    }
}
