<?php

namespace App\Http\Controllers;

use App\Models\Location;
use Illuminate\Http\Request;
use App\Models\ProductCategory;
use App\Models\LoyaltyProgram;
use App\Models\LoyaltyOffer;
use Jenssegers\Agent\Agent;
use App\User;

class HomeController extends Controller
{
    public function index(){
      $data = get_parent_categories();
      $data['boxes'] = get_home_boxes();
      $agent = new Agent();
      $data['agent'] = $agent;
      $data['locations']    =   Location::where('status','1')->get();
//      dd($data);
      return view('client.index.home', $data);
    }
    public function locationIndex(){
      $data = get_parent_categories();
      $agent = new Agent();
      $data['agent'] = $agent;
      return view('client.index.location', $data);
    }

    public function boxesIndex(){
      $boxes = ProductCategory::where('side_menu_type', '2')
                ->leftJoin('products as prd' , 'prd.category_id' , '=' , 'product_categories.id')
                ->select('product_categories.name as category_name', 'prd.*')
                ->get();
      $prev_id = 0;
      $box_ids = array();
      foreach ($boxes as $key => $box) {
        $box_detail = array();
        $box_detail['id'] = $box->category_id;
        $box_detail['name'] = $box->category_name;
          array_push($box_ids , $box_detail);
          $boxes[$key]->items_inside = json_decode($box->items_inside);
      }
      $unique_ids = array_unique($box_ids, SORT_REGULAR);
      return view('client.boxes.index_boxes', ['products' => $boxes, 'categories' => $unique_ids]);
    }

    public function loyaltyIndex(){
      $loyaltyprogram   =   $data['loyaltyprogram']   =   LoyaltyProgram::orderBy('min_points', 'ASC')
                                    ->get();
      if(!empty($loyaltyprogram))
      {
        $mainloop   =   0;
        //$data['loyaltyprogram'][$mainloop]['client_loyality_offers']  = array();
        foreach ($loyaltyprogram as $loyaltyprogram1) 
        {
          $loyality_offers_id     =   explode(',',substr($loyaltyprogram1->offers_selected, 1, -1));
          $data['loyaltyprogram'][$mainloop]['client_loyality_offers'] = LoyaltyOffer::whereIn('id', $loyality_offers_id)->orderBy('id', 'ASC')->get();
          $mainloop++;
        }
      }
      //dd($data['loyaltyprogram']);
      return view('client.loyalty.index_loyalty', $data);
    }

    public function affiliate(){
      return view('client.affiliate');
    }

    public function affiliateProgramwithuniquecode($uniquecode){
      $uniquecode           =   explode('-', $uniquecode);
      $productname          =   $uniquecode[0];
      $code                 =   $uniquecode[1];
      // $user                 =   User::where('unique_no',$code) ->first();
      $data['parent_unique_no']    =   $code;
      //dd($date['parent_id'] );
      //return view('affiliate.affiliate_login',$data);
      return view('auth.login',$data);
    }
}
