<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Order;
use App\Models\UserPoint;
use App\Models\LoyaltyProgram;
use App\Models\LoyaltyOffer;
use App\User;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;

class ProfileController extends Controller
{
  public function index($tab_id = null){
    $orders = new Order;
    $data['orders_data'] = $orders::select('*', DB::raw('DATE_FORMAT(created_at, "%d %b, %Y at  %H:%i:%s %p") as date'))
        ->where('client_id', Auth::user()->id)
        ->where(function ($query) {
            $query->where('payment_status', '!=' , 'preparing')
                ->orWhere('payment_status', '!=' , 'new');
        })
        ->orderBy('id', 'desc')->get();


    // Farid Code starts

    //get current order details
    $data['ongoing_orders_data'] = $orders::select('*', DB::raw('DATE_FORMAT(created_at, "%d %b, %Y at  %H:%i:%s %p") as date'))
        ->where('client_id', Auth::user()->id)
        ->where(function ($query) {
            $query->where('payment_status', 'preparing')
                ->orWhere('payment_status', '=' , 'new');
        })
        ->orderBy('id', 'desc')->get();
//    dd($data['ongoing_orders_data']);

    $data['userdetail'] 		=	User::where('id', Auth::user()->id)->first();
    if(empty($data['userdetail'] ->profile_pic))
	$data['userdetail'] ->profile_pic = '/img/account/account-img.png';
    //dd($data['userdetail']);
    //loyalty card text color
    if($data['userdetail']->loyality_program_level == 1)
    {
    	$mycolor 								=	'black';
    	$data['cardtextcolor']['mycolor']		= 	$mycolor; 
    	$sushicolor 							=	'red';
    	$data['cardtextcolor']['sushicolor']	= 	$sushicolor; 
    	$namecolor 								=	'black';
    	$data['cardtextcolor']['namecolor']		= 	$namecolor; 
    	$cardname 								=	'WHITE';
    	$data['cardtextcolor']['cardname']		= 	$cardname; 
    	$cardnamecolor 							=	'black';
    	$data['cardtextcolor']['cardnamecolor']	= 	$cardnamecolor; 
    }
	else if($data['userdetail']->loyality_program_level == 2)
	{
		$mycolor 								=	'black';
    	$data['cardtextcolor']['mycolor']		= 	$mycolor; 
    	$sushicolor 							=	'white';
    	$data['cardtextcolor']['sushicolor']	= 	$sushicolor; 
    	$namecolor 								=	'black';
    	$data['cardtextcolor']['namecolor']		= 	$namecolor; 
    	$cardname 								=	'RED';
    	$data['cardtextcolor']['cardname']		= 	$cardname; 
    	$cardnamecolor 							=	'black';
    	$data['cardtextcolor']['cardnamecolor']	= 	$cardnamecolor; 
	}
	else if($data['userdetail']->loyality_program_level == 3)
	{
		$mycolor 								=	'white';
    	$data['cardtextcolor']['mycolor']		= 	$mycolor; 
    	$sushicolor 							=	'red';
    	$data['cardtextcolor']['sushicolor']	= 	$sushicolor; 
    	$namecolor 								=	'white';
    	$data['cardtextcolor']['namecolor']		= 	$namecolor; 
    	$cardname 								=	'BLACK';
    	$data['cardtextcolor']['cardname']		= 	$cardname; 
    	$cardnamecolor 							=	'white';
    	$data['cardtextcolor']['cardnamecolor']	= 	$cardnamecolor; 
	}
	else
	{
		$mycolor 								=	'red';
    	$data['cardtextcolor']['mycolor']		= 	$mycolor; 
    	$sushicolor 							=	'white';
    	$data['cardtextcolor']['sushicolor']	= 	$sushicolor; 
    	$namecolor 								=	'red';
    	$data['cardtextcolor']['namecolor']		= 	$namecolor; 
    	$cardname 								=	'Black';
    	$data['cardtextcolor']['cardname']		= 	$cardname; 
    	$cardnamecolor 							=	'white';
    	$data['cardtextcolor']['cardnamecolor']	= 	$cardnamecolor; 
	}
	//end loyalty card text color

    $usertotalpoints = UserPoint::where('client_id', Auth::user()->id)->whereBetween('created_at', [Carbon::now()->subYear(1), date('Y-m-d H:i:s')])->sum('points');
    if(!empty($usertotalpoints))
    {
    	$data['usertotalpoints'] 	=	$usertotalpoints;
    }
    else
    {
    	$data['usertotalpoints'] 	=	0;
    }

    //get points of loyalty program
	$points	=   LoyaltyProgram::select('min_points')
							->orderBy('min_points', 'ASC')
							->get();
	foreach ($points as $points1) {
		$totalpoint[] 	=	$points1->min_points;
	}
	if(!empty($totalpoint))
	{
		$data['points'] 	=	implode(', ',$totalpoint);
	}
	else
	{
		$data['points'] 	=	'0, 0, 0';
	}
	$data['max_point'] 		=	max($totalpoint);

	//get offer of loyalty program
    $user                   =  User::find(Auth::id());
	$user_loyality_level    =   DB::table('users')->where('id', Auth::id())->value('loyality_program_level');
    //dd($user_loyality_level);
	//Get user loyality level info
	$data['user_loyality_record']   =   LoyaltyProgram::where('id', $user_loyality_level)->first();

    $user_loyality_info     =   LoyaltyProgram::where('id', $user_loyality_level)->value('offers_selected');
    $loyality_offers_id     =   explode(',',substr($user_loyality_info, 1, -1));
    $data['client_loyality_offers'] = LoyaltyOffer::whereIn('id', $loyality_offers_id)->get();
    //get min and max points
    $data['minmaxpoints'] =   LoyaltyProgram::select('min_points','max_points')
                            ->orderBy('min_points', 'ASC')
                            ->get();
    //client avail offers
    if(!empty($user->avail_mysushi_offers))
    {
        $user->avail_mysushi_offers     =   explode(",",$user->avail_mysushi_offers);
        $data['client_avail_offers']    =  $user->avail_mysushi_offers; 
    }

    //dd($data['user_loyality_record']);
    // Farid Code ends
    if($tab_id == null)
    {
        return view('client.account.account' , $data);
    }
    else
    {
        $data['click_tab']              =   $tab_id;
        return view('client.account.account' , $data);
    }
  }

}
