<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PromosRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'promo.*.promo_name' => 'required',
            'promo.*.promo_code' => 'required',
            'promo.*.promo_discount' => 'required',
            'promo.*.promo_categories_options_selected' => 'required|array',
            'promo.*.promo_items_options_selected' => 'required|array',
            'promo.*.promo_start_date' => 'required|date_format:M/d/Y H:i a',
            'promo.*.promo_end_date' => 'required|date_format:M/d/Y H:i a',
            'promo.*.promo_desktop_pic' => 'image|nullable',
            'promo.*.promo_mobile_pic' => 'image|nullable',
        ];
    }
}
