<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PromoCategory extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'category_id', 'promo_id'
    ];

    protected $primaryKey = 'category_id';
    public $incrementing = false;
    public $timestamps = false;

    public function promo()
    {
        return $this->belongsTo('App\Models\Promo', 'promo_id');
    }

    public function productCategories()
    {
        return $this->belongsTo('App\Models\ProductCategory', 'category_id');
    }
}
