<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePromosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('promos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name')->default(null);
            $table->string('code')->default(null);
            $table->integer('discount')->default(null);
            $table->string('applies_to')->nullable()->default(null);
            $table->dateTime('start_date')->default(null);
            $table->dateTime('end_date')->default(null);
            $table->text('desktop_pic')->nullable()->default(null);
            $table->text('mobile_pic')->nullable()->default(null);
            $table->enum('is_active', [0, 1])->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('promos');
    }
}
