<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('order_unique_id')->nullable()->default(null);
            $table->float('total_amount')->default(0);
            $table->float('delivery_charge')->default(0);
            $table->string('payment_type')->default(null);
            $table->string('payment_status')->default(null);
            $table->text('notes')->nullable()->default(null);
            $table->bigInteger('client_id')->default(0);
            $table->dateTime('date_receive')->nullable()->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
