<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMinOrderAmountOpenCloseDeactiveToSettings extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->float('min_order_amount')->default('0.00')->after('country');
            $table->time('open_time')->default('11:00')->after('min_order_amount');
            $table->time('close_time')->default('22:30')->after('open_time');
            $table->text('deactive_dates')->nullable()->default(null)->after('close_time');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->dropColumn('min_order_amount');
            $table->dropColumn('open_time');
            $table->dropColumn('close_time');
            $table->dropColumn('deactive_dates');
        });
    }
}
