<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCommissionColToSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->float('min_commission')->default(0)->after('delivery_fee');
            $table->float('max_commission')->default(0)->after('min_commission');
            $table->float('commission_change_limit')->default(0)->after('max_commission');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->dropColumn('min_commission');
            $table->dropColumn('max_commission');
            $table->dropColumn('commission_change_limit');
        });
    }
}
