@extends('client.layouts.master')

@section('content')
<div>
    <div class="menu_bg"></div>
    <div class="register-container">
      <div>
        <div class="row justify-content-center">
          <div class="col-lg-4">
            <div class="sign-header-text mt-5 mt-lg-0">
              SIGN
              <span>IN</span>
          </div>
          <div>Enter your login details to log in to your account.</div>
          <br />
          <form action="{{ route('login') }}" method="POST">
              @csrf
              <p class="text-danger error-msg" style="font-weight: 700">{{-- error message here --}}</p>
              <div class="form-row">
                <label class="client-login" for="email">E-MAIL</label>
                <input
                type="email"
                id="email"
                name="email"
                placeholder="EMAIL ADDRESS"
                required
                />
            </div>
            <br />
            <div class="form-row">
                <label class="client-login" for="psw">PASSWORD</label>
                <input
                type="password"
                autocomplete="off"
                id="psw"
                name="password"
                v-model="password"
                placeholder="PASSWORD"
                required
                />
            </div>

            <button class="btn-next" type="submit" ref="login_button">
                LOG IN &nbsp
                <i class="icon-right-arrow"></i>
            </button>
        </form>   
        <br />

</div>
<div class="col-lg-4">
    <div class="sign-header-text mt-5 mt-lg-0">SIGN <span>UP</span></div>
    <div>Create your account in seconds and join the team sushi lovers</div>
    <p class="text-success error-msg" style="font-weight: 700">
        @if(session('message'))
            {{ session('message') }}
        @endif
    </p>
    <br>
    <form id="signup_form" action="{{ route('signup') }}" method="POST">
        @csrf
        @if(!empty($parent_id))
        <input type="hidden" name="parent_id" value="{{ $parent_id }}">
        @else 
        <input type="hidden" name="parent_id" value="">
        @endif
        <div class="flex_row">
            <label class="client-login gender-container" for="mrs">
                <input type="radio" id="mrs" checked="checked" name="name_suffix" value="MRS." required />
                <span class="checkmark"></span> &nbsp
                MRS.
            </label>
            <label class="client-login gender-container" for="mr">
                <input type="radio" id="mr" name="name_suffix" value="MR." required>
                <span class="checkmark"></span> &nbsp
                MR.
            </label>
        </div>
        <div class="form-row">
            <label class="client-login" for="first_name">FIRST NAME</label>
            <input type="text" id="first_name" name="first_name" placeholder="NAME" required>
        </div>
        <br>
        <span class="text-danger" id="first_name_error"></span>
        <div class="form-row">
            <label class="client-login" for="last_name">LAST NAME</label>
            <input type="text" id="last_name" name="last_name" placeholder="LAST NAME" required>
        </div>
        <br>
        <span class="text-danger" id="last_name_error"></span>
        <div class="form-row">
            <label class="client-login" for="e-mail">EMAIL</label>
            <input type="email" id="e-mail" name="email" placeholder="E-MAIL" required>

        </div>
        <br>
        <span class="text-danger" id="email_error"></span>
        <div class="form-row">
            <label class="client-login" for="phone">PHONE</label>
            <input type="number" id="phone" name="phone" placeholder="PHONE NUMBER" required>
        </div>
        <br>
        <span class="text-danger" id="phone_error"></span>
        <div class="form-row">
            <label class="client-login" for="date">DATE OF BIRTHDAY</label>
            <div class="input-group flex_row bday-con">
                <select class="custom-select" id="date" name="day" required>
                    <option value="0">Day</option>
                    @for($day = 1; $day < 32; $day++) <option value="{{ $day }}">{{ $day }}</option>
                    @endfor
                </select>
                <select class="custom-select" id="b_day" name="month" required>
                    <option value="0" hidden selected>Month</option>
                    <option value='1'>Janaury</option>
                    <option value='2'>February</option>
                    <option value='3'>March</option>
                    <option value='4'>April</option>
                    <option value='5'>May</option>
                    <option value='6'>June</option>
                    <option value='7'>July</option>
                    <option value='8'>August</option>
                    <option value='9'>September</option>
                    <option value='10'>October</option>
                    <option value='11'>November</option>
                    <option value='12'>December</option>
                </select>
                <select class="custom-select" id="year" name="year" required>
                    <option value="0" selected="selected">Year</option>
                    @for($year = 1950; $year < 2020; $year++) 
                    <option value="{{ $year }}">{{ @$year }}</option>
                    @endfor
                </select>
            </div>
        </div>
        <br>
        <span class="text-danger" id="dob_error"></span>    

        <div class="form-row">
            <label class="client-login" for="pswrd">PASSWORD</label>
            <input type="password" id="pswrd" autocomplete="off" name='password' placeholder="PASSWORD" required>
        </div>
        <br>
        <div class="form-row">
            <label class="client-login" for="pswrd">CONFIRM PASSWORD</label>
            <input type="password" id="password_confirmation" autocomplete="off" name='password_confirmation'
                   placeholder="CONFIRM YOUR PASSWORD" required>
        </div>
        <br>
        <span class="text-danger" id="password_error"></span>
        <button id="signup_btn" type="button" class="btn-next">CREATE ACCOUNT &nbsp <i
                    class="icon-right-arrow"></i></button>
    </form>
    <div>
        <input type="hidden" id="fbID" value="">
        <input type="hidden" id="googleUserId" value="">
    </div>
</div>


<script type="text/javascript">

  $('input[type=password]').on('keyup', function(){
    var signup_btn = document.getElementById('signup_btn');
    const psw = document.getElementById('pswrd').value;
    const cnf_psw = document.getElementById('password_confirmation').value;
    if (cnf_psw === '' || cnf_psw == null){
      $('#password_error').html('');
      signup_btn.disabled = false;
      signup_btn.setAttribute('style','opacity: 1;');
    }
    else if (psw == cnf_psw){
      $('#password_error').html('<strong class="font-weight-bold text-success">Password Matched</strong>');
      signup_btn.disabled = false;
      signup_btn.setAttribute('style','opacity: 1;');
    }else{
      $('#password_error').html('<strong class="text-danger font-weight-bold">Password Does not Matched</strong>');
      signup_btn.disabled = true;
      signup_btn.setAttribute('style','opacity: 0.4;');
    }
  });

  $('#signup_btn').on('click', function(e){
    e.preventDefault();
    var data = new FormData($('#signup_form')[0]);

    $.ajax({
      url:'{{ route("affiliatesignup") }}',
      type:'POST',
      data:data,
      processData:false,
      contentType:false,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      success:function(response){
        console.log(response);
        if(response){
          Swal.fire({
            position: 'center',
            icon: 'success',
            title: response.title,
            text: response.text,
            showConfirmButton: false,
            timer: 2000
          }).then((result) => {
            location.href= '{{URL::to("/")}}';
        });
        }
      },
      error:function(result, exceptions){
        var em = result.responseJSON;
        var er = em.errors;

        if(typeof er.first_name !== 'undefined'){
            $('#first_name_error').text(er.first_name[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
            $('#first_name_error').text('');
        }

        if(typeof er.last_name !== 'undefined'){
            $('#last_name_error').text(er.last_name[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
            $('#last_name_error').text('');
        }
       
        if(typeof er.email !== 'undefined'){
            $('#email_error').text(er.email[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
            $('#email_error').text('');
        }
        
        if(typeof er.phone !== 'undefined'){
            $('#phone_error').text(er.phone[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
            $('#phone_error').text('');
        }
        
        if(typeof er.password !== 'undefined'){
            $('#password_error').text(er.password[0]).css({'margin-top':'5px','font-weight':'700'});
        }
        else
        {
            $('#password_error').text('');
        }
        
        if(typeof er.dob !== 'undefined'){
            $('#dob_error').text(er.dob[0]).css({'margin-top':'5px','font-weight':'700'});
        }
        else
        {
            $('#dob_error').text('');
        }
        
        
      }
    });
  });
</script>
</div>
</div>

</div>

</div>
<br><br><br><br>
@endsection

@push('css')
<style>  

    .bday-con {
        width: 90%;
        max-width: 360px;
    }

    .email-msg {
        background: red;
        width: 70%;
        border-bottom-right-radius: 100px;

    }
  .seperator-con {
    width: 90%;
    max-width: 360px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 19px;
}
.seperator-con hr {
    width: 45%;
    border-bottom: solid white 2px;
}
.facebook-con {
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 360px;
    background-image: linear-gradient(#4c69ba, #3b55a0);
    font-size: 20px;
    padding: 12px 10px;
    height: 50px;
    border-radius: 4px;
    text-align: center;
    letter-spacing: 0px;
    font-weight: 500;
    font-size: 16px;
}

/* re design google button */
.google-con {
    width: 90%;
    display: flex;
    /* justify-content: center; */
    /* align-items: center; */
    max-width: 360px;
    background-color: white;
    font-size: 20px;
    /* padding: 12px 10px; */
    height: 46px;
    border-radius: 4px;
    /* text-align: center; */
}
.abcRioButtonBlue {
    height: 46px !important;
    width: 100% !important;
    border-radius: 4px !important;
}
.abcRioButtonContents {
    font-size: 17px !important;
    line-height: 45px !important;
    margin-left: -19px !important;
}
.abcRioButtonIcon {
    padding: 14px !important;
}

.container {
    background: none;
}
.google-signin-btn {
    width: 100%;
}
.form-row label{
    margin-bottom: 2px !important;
}
.btn-next{
    color:white;
    border:none;
}
.form-row{
    margin: 0px 0px -2px 0px !important;
}

form{
    margin-top:-15px;
}
</style>
@endpush
