@extends('client.layouts.master' , ['pageType' => 'privacy'])
@section('content')
    <div id="privacyPolicyContainer">
        <Header />

        <div class="row py-5 privacy-body">
            <div class="col-1"></div>
            <div class="col-10 mt-5">
                <h1>Privacy Policy for My Sushi</h1>

                <p class="text-white-50">At Mysushi.ph, one of our main priorities is the privacy of our visitors.</p>

                <p class="text-white-50">This Privacy Policy document contains types of information that is collected and recorded by mysushi.ph and how we use it.</p>
                <p class="text-white-50">My Sushi Ltd. Co. is a registered company operating under the corporation Deremios Food Group Corp. a legal entity registered in the Philippines.</p>
                <p class="text-white-50">We are committing to respect and protect your data privacy rights as a data subject in accordance with RA 10173- Data Privacy Act of 2012, its Implementing Rules and Regulations and other applicable laws of the Republic of the Philippines.</p>
                <p class="text-white-50">If you have additional questions or require more information about our Privacy Policy, do not hesitate to contact us.</p>
                <h2 class="text-light">Log Files and Data Collection</h2>

                <p class="text-white-50">Mysushi.ph follows a standard procedure of using log files. These files log visitors when they visit websites.</p>
                <p class="text-white-50">All hosting companies do this and a part of hosting services analytics.</p>
                <p class="text-white-50">The information collected by log files include internet protocol (IP) addresses, browser type, Internet Service Provider(ISP), date and time stamp, referring/exit pages, and possibly the number of clicks.</p>
                <p class="text-white-50">These are not linked to any information that is personally identifiable.</p>
                <p class="text-white-50">The purpose of the information is for analyzing trends, administering the site, tracking users' movement on the<br />website, and gathering demographic information.</p>
                <p class="text-white-50">In addition to those Log files, we also collect some of your Personal Information for various purposes explain in the following point.</p>
                <p class="text-white-50">Those information collected are:</p>
                <p class="text-white-50">- Full Name</p>
                <p class="text-white-50">- Address</p>
                <p class="text-white-50">- Email address</p>
                <p class="text-white-50">- Phone number</p>

                <h2 class="text-light">Reason for Personal Information Processing</h2>
                <p class="text-white-50">My Sushi Ltd. Co. or Deremios Food Group Corp. might process your data for the following reasons:</p>
                <p class="text-white-50">- Process your transaction(s) when you actively purchase on one of our platforms.</p>
                <p class="text-white-50">- Comply with laws and regulations governing our products and services</p>
                <p class="text-white-50">- Provide you with Customer Support, answers concerns or complaints.</p>
                <p class="text-white-50">- Inform you about our new product/services offerings and promotions.</p>

                <h2 class="text-light">Data Sharing</h2>
                <p class="text-white-50">We may share the Personal Information collected on this website with the following entities:</p>
                <p class="text-white-50">1. Our affiliate and sister companies operation under My Sushi Ltd. Co. or Deremios Food Group Corp. solely for commercial purposes, including direct and digital marketing, or profiling.</p>
                <p class="text-white-50">2. Our accredited third party personal information processors such as contractors, vendors, financial and legal consultants.</p>
                <p class="text-white-50">If you would like to opt-out of Data Collection Process you can simply email us using the contact indicated in the footer of our website, or you can use the link to unsubscribe in any of our emails.</p>
                <p class="text-white-50">If you would like us to delete all your datas that is currently stored in our databse, you can simply contact us to <a href="mailto:hello@mysushi.ph" title="mailto:hello@mysushi.ph" target="_blank">hello@mysushi.ph</a> and inform us of the email adressed attached to your profile and we will delete your data within the next 5 business days.</p>

                <h2 class="text-light">Cookies and Web Beacons</h2>
                <p class="text-white-50">Like any other website, mysushi.ph uses 'cookies'.</p>
                <p class="text-white-50"> These cookies are used to store information including visitors' preferences, and the pages on the website that the visitor accessed or visited.</p>
                <p class="text-white-50"> The information is used to optimize the users' experience by customizing our web page content based on visitors' browser type and/or other information.</p>

{{--                <h2 class="text-light">Privacy Policies</h2>--}}

{{--                <P class="text-white-50">You may consult this list to find the Privacy Policy for each of the advertising partners of mysushi.ph. </p>--}}

{{--                <p class="text-white-50">Third-party ad servers or ad networks uses technologies like cookies, JavaScript, or Web Beacons that are used in their respective advertisements and links that appear on mysushi.ph, which are sent directly to users' browser. They automatically receive your IP address when this occurs. These technologies are used to measure the effectiveness of their advertising campaigns and/or to personalize the advertising content that you see on websites that you visit.</p>--}}

{{--                <p class="text-white-50">Note that mysushi.ph has no access to or control over these cookies that are used by third-party advertisers.</p>--}}

                <h2 class="text-light">Third Party Privacy Policies</h2>
                <p class="text-white-50">mysushi.ph's Privacy Policy does not apply to other advertisers or websites.</p>
                <p class="text-white-50"> Thus, we are advising you to consult the respective Privacy Policies of these third-party ad servers for more detailed information.</p>
                <p class="text-white-50">It may include their practices and instructions about how to opt-out of certain options.</p>
                <p class="text-white-50">You can choose to disable cookies through your individual browser options.</p>
                <p class="text-white-50"> To know more detailed information about cookie management with specific web browsers, it can be found at the browsers' respective websites.</p>

                <h2 class="text-light">Children's Information</h2>
                <p class="text-white-50">Another part of our priority is adding protection for children while using the internet. We encourage parents and guardians to observe, participate in, and/or monitor and guide their online activity.</p>
                <p class="text-white-50">mysushi.ph does not knowingly collect any Personal Identifiable Information from children under the age of 13.</p>
                <p class="text-white-50">If you think that your child provided this kind of information on our website, we strongly encourage you to contact us immediately and we will do our best efforts to promptly remove such information from our records.</p>

                <h2 class="text-light">Online Privacy Policy Only</h2>
                <p class="text-white-50">This Privacy Policy applies only to our online activities and is valid for visitors to our website with regards to the information that they shared and/or collect in mysushi.ph.</p>
                <p class="text-white-50">This policy is not applicable to any information collected offline or via channels other than this website.</p>

                <h2 class="text-light">Consent</h2>
                <p class="text-white-50">By using our website, you hereby consent to our Privacy Policy and agree to its <router-link :to="{name: 'terms'}">Terms and Conditions</router-link>.</p>
            </div>
        </div>
        <div class="col-1"></div>

        <Footer />
    </div>
@endsection