@extends('client.layouts.master' , ['pageType' => 'loyalty'])
@section('content')

<section class="loyality-program">
	<div class="container">
		<div class="row">
			<div class="heading-text">
				<h1>LOYALTY PROGRAM</h1>
			</div>
		</div>
	</div>
</section>

<section class="loyality-maincontent">
	<div class="container">
		<div class="row">
			<div class="maincontent-heading">
				<h2>JOIN THE MYSUSHI FAMILY</h2>
			</div>
			<div class="maincontent-text">
				<p>Because our customers and their feedback are the most important thing to us at My Sushi, we are thrilled to offer you the opportunity to join our Loyalty Program!</p>
				@if(!Auth::user())
				<a class="joinbtn" href="{{ url('/login') }}">JOIN NOW</a>
				@endif
				<img src="{{ asset('/img/loyality/vert.png') }}"  />
			</div>

		</div>

	</div>
</div>
</section>

<section class="loyality-howitwork">
	<div class="container">
		<div class="row">
			<div class="heading-text">
				<h1>How it works?</h1>
			</div>
		</div>
		<div class="howitwork-main">
			<div class="row">
				<div class="col-md-4">
					<div class="howitwork-inner">	
						<div class="howitwork-img">
							<img src="{{ asset('/img/loyality/icon1.png') }}"  />
						</div>
						<h3>1. Join the program</h3>
						<p>Simply click on the "JOIN NOW" button,create your account and place your first order. </p>
					</div>
				</div>
				<div class="col-md-4">
					<div class="howitwork-inner">	
						<div class="howitwork-img">
							<img src="{{ asset('/img/loyality/icon2.png') }}"  />
						</div>
						<h3>2. Accumulate points</h3>
						<p>As soon as you place your first order, you will start accumulating points.You can just see your progress in your account under the Loyalty program section</p>
					</div>
				</div>
				<div class="col-md-4">
					<div class="howitwork-inner">	
						<div class="howitwork-img">
							<img src="{{ asset('/img/loyality/icon3.png') }}"  />
						</div>
						<h3>3. Get your reward card</h3>
						<p>As your progress amongst the loyalty ranks, you unlock new exclusive benefits and discount.Be sure to check it regularly as we will update it regularly.</p>
					</div>
				</div>
			</div> 	
		</div>
	</div>
</section>

<div class="gap"><img src="{{ asset('/img/loyality/vert.png') }}"  /></div>


<section class="timeline-img desktop-hidden">
	<div class="container">
		<div class="row">
			<div class="timeline-middle-img">
				<img src="{{ asset('/img/loyality/stick.png') }}"  />
				<div class="points-parent">
					<span class="point1">0 PTS</span>
					<span class="point2">200 PTS</span>
					<span class="point3">600 PTS</span>
				
				</div>
			</div>
		</div>
	</div>
</section>


<section class="loyality-level">
	<div class="container">
		<div class="row">
			<div class="heading-text">
				<h2>Loyalty Levels</h2>
			</div>
			<div class="loyalitylevel">
				<div class="row">
					@if(!$loyaltyprogram->isEmpty())
					@foreach($loyaltyprogram as $loyaltyprogram1)
						<div class="col-md-4">
							<div class="loyalitylevel-inner">	
								<div class="loyalitylevel-inner-img">
									<img src="{{ asset($loyaltyprogram1->desktop_image)}}"  />
								</div>
								<div class="info-inside">
									<div class="info-inside-text">
										@if($loyaltyprogram1->id == 1)
										<?php $sushiclass = 'sushiwhite'; ?>
										@elseif($loyaltyprogram1->id == 2)
										<?php $sushiclass = 'sushired'; ?>
										@elseif($loyaltyprogram1->id == 3)
										<?php $sushiclass = 'sushiblack'; ?>
										@endif
										<span>MY</span><span class="<?=  $sushiclass; ?>">SUSHI</span>
										<span>{{ strtoupper($loyaltyprogram1->name) }}</span>
									</div>
									<div class="info-bottom">
										<span>Juan Dela Cruz</span>
									</div>
								</div>
							</div>
							<div class="winnercards-inner desktop-hidden">	
								<div class="winnercards-heading">
									<div class="winnercard-img">
										<img src="{{ asset('/img/loyality/round.png') }}"  />
									</div>
									<div class="winnercard-text">
										<h5>{{ $loyaltyprogram1->name }}</h5> 
										@if($loyaltyprogram1->min_points == 601)
										<?php $maxpoints = '600+'; ?>
										@else
										<?php $maxpoints = $loyaltyprogram1->min_points.' - '.$loyaltyprogram1->max_points; ?>
										@endif 
										<span><?= $maxpoints; ?> PTS</span>
									</div>
								</div>
								<div class="winnercard-inside">
									<ul>
										@if(!$loyaltyprogram1->client_loyality_offers->isEmpty())
										@foreach($loyaltyprogram1->client_loyality_offers as $loyaltyprogram1->client_loyality_offers1)
											<li>- {{ $loyaltyprogram1->client_loyality_offers1->name }}</li>
										@endforeach
										@endif
									</ul>
								</div>
							</div>
						</div>
					@endforeach
					@endif
				</div> 	
			</div>
		</div>
	</div>
</section>

<section class="timeline-img mobile-hidden">
	<div class="container">
		<div class="row">
			<div class="timeline-middle-img">
				<img src="{{ asset('/img/loyality/stick.png') }}"  />
				<div class="points-parent">
					@if(!$loyaltyprogram->isEmpty())
						@foreach($loyaltyprogram as $loyaltyprogram1)
						<?php 
						$minxpoints = $loyaltyprogram1->min_points; 
						if($minxpoints >= 1 && $minxpoints<= 200)
						{
							$spanclass = 'point1';
						}
						elseif ($minxpoints >= 201 && $minxpoints<= 600) 
						{
							$spanclass = 'point2';
						}
						elseif ($minxpoints >= 601 && $minxpoints<= 10000) 
						{
							$spanclass = 'point3';
						}
						else
						{
							$spanclass = 'point3';
						}
						?>
						<span class="<?= $spanclass; ?>"><?= $minxpoints; ?> PTS</span>
						@endforeach
					@endif
					<!-- <span class="point4">600 PTS</span> -->
				</div>
			</div>
		</div>

		<div class="winner-card">
			<div class="row">
				@if(!$loyaltyprogram->isEmpty())
					@foreach($loyaltyprogram as $loyaltyprogram1)
						<div class="col-md-4">
							<div class="winnercards-inner">	
								<div class="winnercards-heading">
									<div class="winnercard-img">
										<img src="{{ asset('/img/loyality/round.png') }}"  />
									</div>
									<div class="winnercard-text">
										<h5>{{ $loyaltyprogram1->name }}</h5>
										@if($loyaltyprogram1->min_points == 601)
										<?php $maxpoints = '600+'; ?>
										@else
										<?php $maxpoints = $loyaltyprogram1->min_points.' - '.$loyaltyprogram1->max_points; ?>
										@endif 
										<span><?= $maxpoints; ?> PTS</span>
									</div>
								</div>

								<div class="winnercard-inside">
									<ul>
										@if(!$loyaltyprogram1->client_loyality_offers->isEmpty())
										@foreach($loyaltyprogram1->client_loyality_offers as $loyaltyprogram1->client_loyality_offers1)
											<li>- {{ $loyaltyprogram1->client_loyality_offers1->name }}</li>
										@endforeach
										@endif
									</ul>
								</div>
							</div>
						</div>
					@endforeach
				@endif
			</div>
		</div>
	</div>
</div>
</section>

<div class="gap"><img src="//mysushi.dynamologic.com/img/loyality/vert.png"></div>

<section class="quarterly-raffle">
	<div class="container">
		<div class="row">
			<div class="heading-text">
				<h1>Quarterly Raffle</h1>
			</div>
		</div>
		<div class="quarterly-raffle-main">
			<div class="row">
				<div class="col-md-4">	
					<div class="quarterly-raffle-img">
						<img src="{{ asset('/img/loyality/ticket.png') }}"  />
					</div>
				</div>

				<div class="col-md-4">	
					<div class="quarterly-raffle-img">
						<img src="{{ asset('/img/loyality/screen.png') }}"  />
					</div>
				</div>


				<div class="col-md-4">	
					<div class="quarterly-raffle-img">
						<img src="{{ asset('/img/loyality/bag.png') }}"  />
					</div>
				</div>


			</div> 	

			<div class="quarterly-raffle-middle-text">
				<p>Every Quarter, a big raffle will take place. Some amazing gifts will be awarded to a few of our regular customers. According to your level of loyalty, you might have more chances to win prices such as flight tickets, LCDs or appliances.</p>
				@if(!Auth::user())
				<a class="btn-joinloyality" href="{{ url('/login') }}">JOIN NOW LOYALTY PROGRAM NOW</a>
				@endif
			</div>
		</div>
	</div>
</section>

@endsection