<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();



Route::group(['middleware' => 'web'], function(){
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/home', function(){
      return redirect('/');
    });
    Route::get('/index', function(){
      return redirect('/');
    });
    Route::get('/index.php', function(){
      return redirect('/');
    });
    Route::get('/index.html', function(){
      return redirect('/');
    });
    Route::post('/signup', 'Client\SignupController@signUP')->name('signup');
    Route::get('/menu', 'MenuController@index')->name('menu');
    Route::get('/boxes', 'HomeController@boxesIndex')->name('menu');
    Route::get('menu/{menu_id}/{menu_name}', 'MenuController@index');
    Route::resource('/cart', 'CartController');
    Route::get('/profile', 'ProfileController@index')->middleware('auth');
    Route::get('/profile/{tab_id}', 'ProfileController@index')->middleware('auth');
    Route::get('/terms', function(){
      return view('client.index.terms');
    });
    Route::get('/privacy_policy', function(){
      return view('client.index.privacy_policy');
    });

  Route::get('auth/facebook', 'Auth\LoginController@redirectToFacebook')->name('facebookAuth');
  Route::get('/callback', 'Auth\LoginController@handleFacebookCallback');

  Route::get('payment_paypal' , 'PaymentController@paypal_payment')->name('paypal_payment');
  Route::get('update_payment_status' , 'PaymentController@update_payment')->name('update_payment');
  Route::get('payment_cancelled' , 'PaymentController@payment_cancelled')->name('payment_cancelled');
  Route::get('done/{response}' , function ($response){
    return view('client.ordermsgs.indexmsg' , ['response' => $response]);
  });

  Route::get('/confirm/{enc_id}/{email}', 'Api\MailController@confirm');


  Route::get('/makati', 'HomeController@locationIndex')->name('location.makati');
  Route::get('/mandaluyong', 'HomeController@locationIndex')->name('location.mandaluyong');
  Route::get('/manila', 'HomeController@locationIndex')->name('location.manila');
  Route::get('/pasay', 'HomeController@locationIndex')->name('location.pasay');
  Route::get('/pasig', 'HomeController@locationIndex')->name('location.pasig');
  Route::get('/taguig', 'HomeController@locationIndex')->name('location.taguig');
  Route::get('/quezon', 'HomeController@locationIndex')->name('location.quezon');

//  Route::get('/emailtest' , function(){
//      return View::make("email.orderplacement");
//  });



  //farid routes start
  Route::get('/affiliate-program' , 'HomeController@affiliate')->name('affiliate-program'); 
  Route::get('/login/{unique_code}', 'HomeController@affiliateProgramwithuniquecode')->name('uniqueaffiliatesignup'); 
  //farid routes ends

});

Route::group(['prefix' => '' ], function () {
//  Route::get('', function () {
//    return view('welcome');
//  });

  Route::any('/{any?}', function ($any) {
    return view('welcome');
  })->where('any', '^((?!api).)*');
});
