<div class="col-lg-4">
	<div class="sign-header-text mt-5 mt-lg-0">SIGN <span>UP</span></div>
	<div>Create your account in seconds and join the team sushi lovers</div>
	<p class="text-success error-msg" style="font-weight: 700">
		<?php if(session('message')): ?>
			<?php echo e(session('message')); ?>

		<?php endif; ?>
	</p>
	<br>
	<form id="signup_form" action="<?php echo e(route('signup')); ?>" method="POST">
		<?php echo csrf_field(); ?>
		<?php if(!empty($parent_unique_no)): ?>
        <input type="hidden" name="parent_unique_no" value="<?php echo e($parent_unique_no); ?>">
        <?php else: ?> 
        <input type="hidden" name="parent_unique_no" value="">
        <?php endif; ?>
		<div class="flex_row">
			<label class="client-login gender-container" for="mrs">
				<input type="radio" id="mrs" checked="checked" name="name_suffix" value="MRS." required />
				<span class="checkmark"></span> &nbsp
				MRS.
			</label>
			<label class="client-login gender-container" for="mr">
				<input type="radio" id="mr" name="name_suffix" value="MR." required>
				<span class="checkmark"></span> &nbsp
				MR.
			</label>
		</div>
		<div class="form-row">
			<label class="client-login" for="first_name">FIRST NAME</label>
			<input type="text" id="first_name" name="first_name" placeholder="NAME" required>
		</div>
		<br>
		<span class="text-danger" id="first_name_error"></span>
		<div class="form-row">
			<label class="client-login" for="last_name">LAST NAME</label>
			<input type="text" id="last_name" name="last_name" placeholder="LAST NAME" required>
		</div>
		<br>
		<span class="text-danger" id="last_name_error"></span>
		<div class="form-row">
			<label class="client-login" for="e-mail">EMAIL</label>
			<input type="email" id="e-mail" name="email" placeholder="E-MAIL" required>

		</div>
		<br>
		<span class="text-danger" id="email_error"></span>
		<div class="form-row">
			<label class="client-login" for="phone">PHONE</label>
			<input type="number" id="phone" name="phone" placeholder="PHONE NUMBER" required>
		</div>
		<br>
		<span class="text-danger" id="phone_error"></span>
		<div class="form-row">
			<label class="client-login" for="date">DATE OF BIRTHDAY</label>
			<div class="input-group flex_row bday-con">
				<select class="custom-select" id="date" name="day" required>
					<option value="0">Day</option>
					<?php for($day = 1; $day < 32; $day++): ?> <option value="<?php echo e($day); ?>"><?php echo e($day); ?></option>
					<?php endfor; ?>
				</select>
				<select class="custom-select" id="b_day" name="month" required>
					<option value="0" hidden selected>Month</option>
					<option value='1'>Janaury</option>
					<option value='2'>February</option>
					<option value='3'>March</option>
					<option value='4'>April</option>
					<option value='5'>May</option>
					<option value='6'>June</option>
					<option value='7'>July</option>
					<option value='8'>August</option>
					<option value='9'>September</option>
					<option value='10'>October</option>
					<option value='11'>November</option>
					<option value='12'>December</option>
				</select>
				<select class="custom-select" id="year" name="year" required>
					<option value="0" selected="selected">Year</option>
					<?php for($year = 1950; $year < 2020; $year++): ?> 
					<option value="<?php echo e($year); ?>"><?php echo e(@$year); ?></option>
					<?php endfor; ?>
				</select>
			</div>
		</div>
		<br>
		<span class="text-danger" id="dob_error"></span>	

		<div class="form-row">
			<label class="client-login" for="pswrd">PASSWORD</label>
			<input type="password" id="pswrd" autocomplete="off" name='password' placeholder="PASSWORD" required>
		</div>
		<br>
		<div class="form-row">
			<label class="client-login" for="pswrd">CONFIRM PASSWORD</label>
			<input type="password" id="password_confirmation" autocomplete="off" name='password_confirmation'
				   placeholder="CONFIRM YOUR PASSWORD" required>
		</div>
		<br>
		<span class="text-danger" id="password_error"></span>
		<div class="checkbox-sushie mt-5">
			<label class="client-login gender-container" for="is_loyalty_program">
				<input type="checkbox" id="is_loyalty_program" name="is_loyalty_program" value="1">
				<span class="checkmark"></span>&nbsp;I want to register for the MySushi loyalty program.
			</label>
			<label class="client-login gender-container" for="is_mysushi_offers">
				<input type="checkbox" id="is_mysushi_offers" name="is_mysushi_offers" value="1">
				<span class="checkmark"></span>&nbsp;I wish to receive MySushi offers!
			</label>
		</div>
		<button id="signup_btn" type="button" class="btn-next">CREATE ACCOUNT &nbsp <i
					class="icon-right-arrow"></i></button>
	</form>
	<div>
		<input type="hidden" id="fbID" value="">
		<input type="hidden" id="googleUserId" value="">
	</div>
</div>

<?php $__env->startPush('css'); ?>
	<style>
		.bday-con {
			width: 90%;
			max-width: 360px;
		}

		.email-msg {
			background: red;
			width: 70%;
			border-bottom-right-radius: 100px;

		}
	</style>
<?php $__env->stopPush(); ?>


<script type="text/javascript">

  $('input[type=password]').on('keyup', function(){
    var signup_btn = document.getElementById('signup_btn');
    const psw = document.getElementById('pswrd').value;
    const cnf_psw = document.getElementById('password_confirmation').value;
    if (cnf_psw === '' || cnf_psw == null){
      $('#password_error').html('');
      signup_btn.disabled = false;
      signup_btn.setAttribute('style','opacity: 1;');
    }
    else if (psw == cnf_psw){
      $('#password_error').html('<strong class="font-weight-bold text-success">Password Matched</strong>');
      signup_btn.disabled = false;
      signup_btn.setAttribute('style','opacity: 1;');
    }else{
      $('#password_error').html('<strong class="text-danger font-weight-bold">Password Does not Matched</strong>');
      signup_btn.disabled = true;
      signup_btn.setAttribute('style','opacity: 0.4;');
    }
  });

  $('#signup_btn').on('click', function(e){
    e.preventDefault();
    var data = new FormData($('#signup_form')[0]);

    $.ajax({
      url:'<?php echo e(route("signup")); ?>',
      type:'POST',
      data:data,
      processData:false,
      contentType:false,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      success:function(response){
        console.log(response);
        if(response){
          Swal.fire({
            position: 'center',
            icon: 'success',
            title: response.title,
            text: response.text,
            showConfirmButton: false,
            timer: 2000
          }).then((result) => {
            location.href= '<?php echo e(URL::to("/")); ?>';
        });
        }
      },
      error:function(result, exceptions){
        var em = result.responseJSON;
        var er = em.errors;

        if(typeof er.first_name !== 'undefined'){
        	$('#first_name_error').text(er.first_name[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
        	$('#first_name_error').text('');
        }

        if(typeof er.last_name !== 'undefined'){
 			$('#last_name_error').text(er.last_name[0]).css({'margin-top':'5px', 'font-weight':'700'});
    	}
    	else
    	{
    		$('#last_name_error').text('');
    	}
       
        if(typeof er.email !== 'undefined'){
        	$('#email_error').text(er.email[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
        	$('#email_error').text('');
        }
        
        if(typeof er.phone !== 'undefined'){
        	$('#phone_error').text(er.phone[0]).css({'margin-top':'5px', 'font-weight':'700'});
        }
        else
        {
        	$('#phone_error').text('');
        }
        
        if(typeof er.password !== 'undefined'){
        	$('#password_error').text(er.password[0]).css({'margin-top':'5px','font-weight':'700'});
        }
        else
        {
        	$('#password_error').text('');
        }
        
        if(typeof er.dob !== 'undefined'){
        	$('#dob_error').text(er.dob[0]).css({'margin-top':'5px','font-weight':'700'});
        }
        else
        {
        	$('#dob_error').text('');
        }
        
        
      }
    });
  });
</script><?php /**PATH /var/www/html/mysushi/resources/views/auth/signup.blade.php ENDPATH**/ ?>