<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="minimal-ui, width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta name="google-signin-client_id" content="611317488736-h2dsevp4rjpdnknjrae959088bpu880m.apps.googleusercontent.com">
        <meta name="Base_URL" content="<?php echo env('MIX_API_DEV_URL') ? env('MIX_API_DEV_URL') : env('MIX_API_PROD_URL'); ?>" />

        <?php
            $title = 'Sushi Delivery in the Philippines | Japanese food delivery | My Sushi';
            $description = 'Offering Japanese food delivery including Sushi delivery, Sushi platter, Maki sushi, Sashimi, Nigiri, Rolls, Donburi in Phillippines around Makati, Pasig,Taguig, Manila & Quezon City. ';
            $canonical = URL::to('/');
            if(isset($pageType)){
                switch ($pageType){
                    case 'menu':{
                        $last_segment = request()->segment(count(request()->segments()));
                        switch ($last_segment){
                            case 'rolls':{
                                $title = 'Sushi Rolls | My Sushi';
                                $description = 'Our products include Dragon Roll, California roll, Tuna Sushi roll, Maki roll, Salmon roll, Spicy Kani Maki roll, Philadelphia roll, Seafood roll, Volcano & Tempura roll.';
                                $canonical = URL::current();
                                break;
                            }
                            case 'nigiri':{
                                $title = 'Nigiri Sushi | My Sushi';
                                $description = 'Order Nigiri Sushi now we offer Salmon Nigiri, Ebi Nigiri, NIigir Classic, Nigiri Aburi, Kani Nigiri, Gunkan & Sweet Nigiri.';
                                $canonical = URL::current();
                                break;
                            }
                            case 'donburi':{
                                $title = 'Donburi Bowl | My Sushi';
                                $description = 'Our Donburi offers include Chirashi, Salmon Aburi, Salmon Tuna, Salmon Tataki, Gyudon, Oyakodon, Salmon Poke,Tuna Poke, Donburi Tartare and more.';
                                $canonical = URL::current();
                                break;
                            }
                            case 'sushi-platter':{
                                $title = 'Sushi Platter Delivery Manila | Sushi Box | My Sushi';
                                $description = 'Need to party, 2 pieces of Sushi wont do? Order Sushi platter and enjoy upto 43 pieces in a Sushi box or Sushi lunch box.';
                                $canonical = URL::current();
                                break;
                            }
                            case 'sashimi':{
                                $title = 'Salmon,Tuna & Uni Sashimi | Tataki | My Sushi';
                                $description = 'Order Tuna & Salmon Tataki, We also Offer Japasese Sashimi with Salmon, Tuna and Uni around Philippines.';
                                $canonical = URL::current();
                                break;
                            }

                            default:{
                                $title = 'Sushi Menu | My Sushi';
                                $description = 'View our Sushi menu and take home kanzen genki sushi made from nori and fish, we are looking forward to deliver you! My Sushi Menu.';
                                $canonical = URL::to('/menu');
                                break;
                            }
                        }
                        break;
                    }
                    case 'terms':{
                        $title = 'Terms & Conditions | My Sushi';
                        $description = 'View our Terms & Conditions.';
                        $canonical = URL::to('/terms');

                        break;
                    }
                    case 'privacy':{
                        $title = 'Privacy Policy | My Sushi';
                        $description = 'View our Privacy Policy.';
                        $canonical = URL::to('/privacy_policy');

                        break;
                    }
                    case 'location':{
                        $title = 'Sushi Delivery '.$location.' | Japanese Food Delivery '.$location.' | My Sushi';
                    }
                }
            }
        ?>

        <title><?php echo e($title); ?></title>
        <meta name="description" content="<?php echo e($description); ?>"/>
        
        <link rel="stylesheet" href="<?php echo e(asset('css/bootstrap.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">

        <link rel="stylesheet" href="<?php echo e(asset('css/frontend-css/app-style-sheet.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/frontend-css/custom-fonts.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/frontend-css/address-style-sheet.css')); ?>">

        


        <!-- canonical -->
        <link  rel="canonical" href="<?php echo e($canonical); ?>">

        <!-- Favicon -->
        <link  rel="shortcut icon" type="image/png" href="<?php echo e(asset('img/favicon/favicon.ico')); ?>"/>

        
        
         

         
         


        

        <!-- Login and Registration Font Icon -->
        <link  rel="stylesheet" href="<?php echo e(asset('login-reg/fonts/material-icon/css/material-design-iconic-font.min.css')); ?>">

        <link href="<?php echo e(asset('owl/assets/owl.carousel.min.css')); ?>" rel="stylesheet">

        <!-- Facebook Pixel Code -->
        <script async>
            !function(f,b,e,v,n,t,s)
            {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
            n.callMethod.apply(n,arguments):n.queue.push(arguments)};
            if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
            n.queue=[];t=b.createElement(e);t.async=!0;
            t.src=v;s=b.getElementsByTagName(e)[0];
            s.parentNode.insertBefore(t,s)}(window, document,'script',
            'https://connect.facebook.net/en_US/fbevents.js');
            fbq('init', '1426105640876734');
            fbq('track', 'PageView');
        </script>
        <noscript>
        <img height="1" width="1" style="display:none"
        src="https://www.facebook.com/tr?id=1426105640876734&ev=PageView&noscript=1"
        /></noscript>

        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-154156727-1"></script>
        <script async>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'UA-154156727-1');
        </script>
        <script  async defer src="<?php echo e(asset('google-api/js/platform.js')); ?>"></script>

        <style>
            .qty-input {
                pointer-events: none;
            }
        </style>

        <?php echo $__env->yieldPushContent('css'); ?>

        <script src="<?php echo e(asset('js/jquery-3.5.1.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('moment/moment.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('datetimepicker/js/bootstrap-datetimepicker.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('js/bootstrap.min.js')); ?>"></script>
		<script type="text/javascript" src="<?php echo e(asset('js/rangeslider.min.js')); ?>"></script>
        <script async type="text/javascript" src="<?php echo e(asset('toast/jquery.toast.min.js')); ?>"></script>
        <script async src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
        <?php echo $__env->yieldPushContent('before-js'); ?>
        <script type="text/javascript" src="<?php echo e(asset('js/common.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('owl/owl.carousel.min.js')); ?>"></script>
       


        <script async type="text/javascript">
            function toastMessage(message){
                $.toast({
                     text: '<strong style="font-size:14px; letter-spacing:2px; font-weight:400;">'+message+'</strong>',
                      position: 'top-center',
                      stack: true,
                      allowToastClose:false,
                      bgColor:'#269B41',
                      loader:false,
                      textAlign:'center',
                });
            }
            function toasterrorMessage(message){
                $.toast({
                     text: '<strong style="font-size:14px; letter-spacing:2px; font-weight:400;">'+message+'</strong>',
                      position: 'top-center',
                      stack: true,
                      allowToastClose:false,
                      bgColor:'red',
                      loader:false,
                      textAlign:'center',
                });
            }
        </script>

		<?php echo $__env->yieldPushContent('js'); ?>
    </head>

  <body>
	
	<?php echo $__env->make('client.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

	<?php $__env->startSection('content'); ?>

	<?php echo $__env->yieldSection(); ?>

	<?php echo $__env->make('client.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script>
      jQuery(document).ready(function(){
        $("pre").hide();
      });
    </script>
    <link rel="stylesheet" href="<?php echo e(asset('css/fontawesome-free-5.6.3-web/css/fontawesome.min.css')); ?>" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    <!-- Fonts -->
    <link  href="<?php echo e(asset('google-api/css/Poppins.css')); ?>" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset('toast/jquery.toast.min.css')); ?>">

    <link  href="<?php echo e(asset('google-api/css/Montserrat.css')); ?>" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset('datetimepicker/css/bootstrap-datetimepicker.min.css')); ?>">

</body>
</html>


<?php /**PATH /var/www/html/mysushi/resources/views/client/layouts/master.blade.php ENDPATH**/ ?>